Page MenuHomePhabricator

Audit all notification types to see if any more should be exceptions
Closed, ResolvedPublic

Description

Audit all the notification types, and confirm that they should be blocked by default (for senders that are blocked). Most are straightforward, but some like 'revert' and 'user-rights' may need further consideration.

Event Timeline

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJun 1 2017, 9:03 PM

My comments from T166627: Internal error when you attempt to email a user you've blocked from Notifications

Two things to consider:

  • if a blocked user changes user rights - the Echo notification won't come.
  • Email notifications (along with Echo notifications) won't come from a blocked user (the current phrasing for Block list refers only to Echo notifications)
jrbs moved this task from Backlog to Radar on the Trust-and-Safety board.Jun 7 2017, 7:51 PM
  • Email notifications (along with Echo notifications) won't come from a blocked user (the current phrasing for Block list refers only to Echo notifications)

Echo notifications can be delivered in two ways, web (popup) and email. For most notification types, you can enable either, both, or neither in preferences. So e.g. if you receive an email notification of a mention, that is still an Echo notification.

@Etonkovidova performed a full QA on all notifications types, and documented her findings in T150419#3396670

I claimed this ticket for the second half of the requirements — to investigate and decide if we should blacklist or allow any more specific types of Echo notifications from occurring.

jmatazzoni added a comment.EditedAug 22 2017, 9:26 PM

If you're auditing notifications, this spreadsheet might be helpful. It was compiled when we launched the new Notifications page last year. So it's no longer comprehensive, but it's probably got 90%+ listed, FWIW.

I've looked at Special:Preferences#mw-prefsection-echo and the spreadsheet Joe shared and I do not think the Mute feature needs to be altered at this moment. Definitely open to changing this in the future (and even making it more granular) especially if/when we get to T167902: Build a unified, cross-wiki Mute feature for multiple types of on-wiki and email communication

TBolliger closed this task as Resolved.Aug 25 2017, 11:58 PM